List
curl --request GET \
--url https://api.paygentic.io/v0/features \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/features"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/features', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "feat_x1y2z3a4b5c6d7e8",
"object": "feature",
"key": "api-calls",
"name": "API Calls",
"type": "metered",
"merchantId": "org_f9g0h1i2j3k4l5m6",
"productId": "prod_a1b2c3d4e5f6g7h8",
"metadata": {
"unit": "requests"
},
"createdAt": "2024-01-08T12:00:00.000Z",
"updatedAt": "2024-01-08T12:00:00.000Z"
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 1
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Features
List
List features by productId, optionally filtered by key
GET
/
v0
/
features
List
Authorizations
API key authentication
Query Parameters
The product ID to filter features by Unique identifier for a product
Pattern:
^prod_[a-zA-Z0-9]+$Optional feature key to filter by. If provided, returns only the feature matching both productId and key
Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Number of features to return.
Required range:
1 <= x <= 100Number of features to skip.
Required range:
x >= 0Was this page helpful?
⌘I